[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1007 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-08-19 09:39:48 +0000 (Fri, 19 Aug 2005)
New Revision: 1007

Added:
   glibc-package/trunk/debian/patches/glibc235-dl-execstack.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
    * debian/patches/glibc235-dl-execstack.dpatch: New file, to fix execstack
      failed to check on kernel <= 2.4.18.  (Closes: #321717, #321718, #323409)



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-08-19 05:45:23 UTC (rev 1006)
+++ glibc-package/trunk/debian/changelog	2005-08-19 09:39:48 UTC (rev 1007)
@@ -28,8 +28,8 @@
       (Closes: #321719)
 
     * debian/patches/00list: Drop glibc234-hppa-remove-mallocdef.dpatch.
-      It's replaced by Carlos' new patches.  Reported by LaMont Jones
-      <lamont@debian.org>.
+      It causes unconditional locking problem, because it was already replaced
+      by Carlos' new patches.  Reported by LaMont Jones <lamont@debian.org>.
 
     * Add Depends: lib64gcc1 and provide lib64c-dev for 64bit -dev packages.  
       Suggested by Matthias Klose <doko@cs.tu-berlin.de>.  (Closes: #323552)
@@ -38,6 +38,9 @@
       - debian/control.in/s390x: Likewise.
       - debian/control: Update.
 
+    * debian/patches/glibc235-dl-execstack.dpatch: New file, to fix execstack
+      failed to check on kernel <= 2.4.18.  (Closes: #321717, #321718, #323409)
+
     * Roland Stigge <stigge@antcom.de>:
       - debian/debhelper.in/glibc-doc.install: Install HTML documents
         correctly.  (Closes: #321740)

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-08-19 05:45:23 UTC (rev 1006)
+++ glibc-package/trunk/debian/patches/00list	2005-08-19 09:39:48 UTC (rev 1007)
@@ -80,3 +80,4 @@
 glibc235-gcc34-m68k-seccomment
 locale-iso4217
 glibc235-gcc4-hppa-profile
+glibc235-dl-execstack

Added: glibc-package/trunk/debian/patches/glibc235-dl-execstack.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-dl-execstack.dpatch	2005-08-19 05:45:23 UTC (rev 1006)
+++ glibc-package/trunk/debian/patches/glibc235-dl-execstack.dpatch	2005-08-19 09:39:48 UTC (rev 1007)
@@ -0,0 +1,54 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Support libraries that has execstack on <= 2.4.18 kernels.
+# DP: Related bugs: #321718
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: Not submitted
+# DP: Status Details: Will be submitted
+# DP: Date: 2005-08-19
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-08-19  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/unix/sysv/linux/dl-execstack.c: Check not only ENOMEM but
+	also EFAULT for pre 2.4.19 kernels.
+
+--- sysdeps/unix/sysv/linux/dl-execstack.c.gotom	2005-08-18 20:55:21.000000000 +0900
++++ sysdeps/unix/sysv/linux/dl-execstack.c	2005-08-19 15:50:59.051597872 +0900
+@@ -84,7 +84,8 @@
+ 	page -= size;
+       else
+ 	{
+-	  if (errno != ENOMEM)	/* Unexpected failure mode.  */
++	  /* Unexpected failure mode.  */
++	  if (errno != ENOMEM && errno != EFAULT)
+ 	    return errno;
+ 
+ 	  if (size == GLRO(dl_pagesize))
+@@ -107,7 +108,8 @@
+ 	page += size;
+       else
+ 	{
+-	  if (errno != ENOMEM)	/* Unexpected failure mode.  */
++	  /* Unexpected failure mode.  */
++	  if (errno != ENOMEM && errno != EFAULT)
+ 	    return errno;
+ 
+ 	  if (size == GLRO(dl_pagesize))



Reply to: